package com.rjconsultores.ventaboletos.web.utilerias.menu.item.ingreso;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuIngreso extends DefaultItemMenuSistema {

    public ItemMenuIngreso() {
        super("indexController.mni.catalogoIngreso");
    }

    @Override
    public String getClaveMenu() {
        return "COM.RJCONSULTORES.ADMINISTRACION.GUI.EVENTOEXTRA.MENU.INGRESOS";
    }

    @Override
    public void ejecutar() {
        PantallaUtileria.openWindow("/gui/ingreso/busquedaIngreso.zul",
                Labels.getLabel("busquedaTipoEventoExtraController.window.title"), getArgs() ,desktop);
    }
}
